Subject: Re: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Nov 2019 12:37:31 +0200

> From: Adam Sjøgren <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 09 Nov 2019 11:28:42 +0100
> 
> >> However the png-image is still not scaled, and still shown in the larger
> >> canvas.
> 
> > What do you mean by "shown in the larger canvas"?
> 
> I mean that the original 16x16 pixel image is shown in the corner of a
> 320x320 pixel white box.
> 
> As can be seen in the screenshot here:
> 
>  · https://debbugs.gnu.org/cgi/bugreport.cgi?att=1;filename=emacs27-image-scaling.png;bug=38109;msg=5
> 
> > Can you post a screenshot of how you see those PNG images with and
> > without scaling, after applying that patch?
> 
> The patch doesn't make any difference on the scaling of the PNG images.
> 
> --with-cairo does.

Thanks for the screenshots.  I see on MS-Windows what you see with
Cairo.  So I guess this means the problem is specific to the
configuration with XRender.